# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "sasl"
version = "0.5.0"
authors = ["lumi <lumi@pew.im>"]
description = "A crate for SASL authentication. Currently only does the client side."
homepage = "https://gitlab.com/lumi/sasl-rs"
documentation = "https://docs.rs/sasl"
readme = "README.md"
keywords = ["sasl", "authentication"]
license = "LGPL-3.0+"
repository = "https://gitlab.com/lumi/sasl-rs"
[dependencies.base64]
version = "0.13"
optional = true

[dependencies.getrandom]
version = "0.2"
optional = true

[dependencies.hmac]
version = "0.10"
optional = true

[dependencies.pbkdf2]
version = "0.6"
optional = true
default-features = false

[dependencies.sha-1]
version = "0.9"
optional = true

[dependencies.sha2]
version = "0.9"
optional = true

[features]
default = ["scram"]
scram = ["base64", "getrandom", "sha-1", "sha2", "hmac", "pbkdf2"]
[badges.gitlab]
repository = "lumi/sasl-rs"
